assemble_image_pieces_scene03_1 = {}

assemble_image_pieces_scene03_1.params = 
{

init_pos = 	
	{
		-- 1		
		sf.misc.FloatVector(0.0, 37.0),
		-- 2
		sf.misc.FloatVector(49.0, 39.0),
		--3
		sf.misc.FloatVector(244.0, 123.0),
		--4
		sf.misc.FloatVector(62.0, 10.0),
		--5
		sf.misc.FloatVector(123.0, 123.0),
		--6
		sf.misc.FloatVector(316.0, 138.0),
		-- 7
		sf.misc.FloatVector(128.0, 224.0),
		-- 8
		sf.misc.FloatVector(38.0, 170.0),
		--9
		sf.misc.FloatVector(12.0, 243.0),
		--10
		sf.misc.FloatVector(220.0, 57.0),
		--11
		sf.misc.FloatVector(204.0, 278.0),
		--12
		sf.misc.FloatVector(5.0, 114.0),
		--13
		sf.misc.FloatVector(273.0, 3.0),
		--14
		sf.misc.FloatVector(160.0, 10.0),
		--15
		sf.misc.FloatVector(169.0, 175.0),
		--16
		sf.misc.FloatVector(250.0, 177.0)


	},

target_pos = 
	{
		-- 1		
		sf.misc.FloatVector(4.0, 43.0),
		-- 2
		sf.misc.FloatVector(56.0, 79.0),
		--3
		sf.misc.FloatVector(133.0, 138.0),
		--4
		sf.misc.FloatVector(142.0, 61.0),
		--5
		sf.misc.FloatVector(4.0, 274.0),
		--6
		sf.misc.FloatVector(5.0, 192.0),
		-- 7
		sf.misc.FloatVector(49.0, 285.0),
		-- 8
		sf.misc.FloatVector(47.0, 234.0),
		--9
		sf.misc.FloatVector(214.0, 127.0),
		--10
		sf.misc.FloatVector(3.0, 2.0),
		--11
		sf.misc.FloatVector(126.0, 2.0),
		--12
		sf.misc.FloatVector(246.0, 2.0),
		--13
		sf.misc.FloatVector(138.0, 238.0),
		--14
		sf.misc.FloatVector(222.0, 214.0),
		--15
		sf.misc.FloatVector(317.0, 163.0),
		--16
		sf.misc.FloatVector(276.0, 270.0)

	},
	
	colors = 
	{
		normal = sf.graphics.Color(255, 255, 255, 255),
		selected = sf.graphics.Color(255, 255, 255, 255)
	},
	
	highlight_effect = 
	{
		color =
		{
			min = sf.graphics.Color(255, 255, 255, 255),
			max = sf.graphics.Color(255, 100, 200, 100)
		},
		
		time = 700
	},
	
	moving_effect = 
	{
		speed = 0.2
	},
	
	inaccuracy = 15.0,
	
	sound_take = "take_sheet",
	sound_right_put = "put_part",
	sound_error_put = "put_part"
}

assemble_image_pieces_scene03_1.Init = function(_owner)
	assemble_image_pieces.params = assemble_image_pieces_scene03_1.params
	assemble_image_pieces.Init(_owner)
end

for p,v in pairs(assemble_image_pieces) do
	if not assemble_image_pieces_scene03_1[p] then assemble_image_pieces_scene03_1[p] = v end
end